### Hierarchy

- BreadcrumbDemoShowcase

## Index

### Constructors

- constructor

### Properties

- updateService

### Methods

- ngOnDestroy
- ngOnInit

## Constructors

### constructor

- new BreadcrumbDemoShowcase(updateService: SiteBrowserState): BreadcrumbDemoShowcase

- - Defined in showcase/components/breadcrumb/breadcrumb.ts:9

  #### Parameters

  - ##### updateService: SiteBrowserState

  #### Returns BreadcrumbDemoShowcase

## Properties

### Private updateService

updateService: SiteBrowserState

- Defined in showcase/components/breadcrumb/breadcrumb.ts:11

## Methods

### ngOnDestroy

- ngOnDestroy(): void

- - Defined in showcase/components/breadcrumb/breadcrumb.ts:19

  #### Returns void

### ngOnInit

- ngOnInit(): void

- - Defined in showcase/components/breadcrumb/breadcrumb.ts:13

  #### Returns void

Generated using TypeDoc